- Main Page
- Modules
- Files
- Related Pages
- Examples

# grib_keys

## DESCRIPTION

Lists the keys available for a type of grib (-T option) or in a grib message from a file (-F option).

## USAGE

grib_keys [options]

## OPTIONS

-T type
To print the keys available in the given grib type. For a list of the availeble types see -L option.
-F file
To print the keys available in the grib file.
-x
Print the extended set of keys.
-c
Print only coded keys.
-L
List of available types.
-t
Print type information.
-a
Dump aliases.

## grib_keys examples

1. With the -L option a list of the available templates is printed

       > grib_keys -L \n
       GRIB1
       GRIB2
       reduced_gg_ml_grib2
       reduced_gg_pl_grib1
       reduced_gg_sfc_grib1
       reduced_gg_ml_grib1
       reduced_gg_pl_grib2
       reduced_gg_sfc_grib2
       reduced_gg_sfc_jpeg_grib2
       reduced_ll_sfc_grib1
       reduced_ll_sfc_grib2
       regular_gg_ml_grib1
       regular_gg_ml_grib2
       regular_gg_pl_grib1
       regular_gg_pl_grib2
       regular_ll_sfc_grib1
       regular_ll_sfc_grib2
       regular_ll_pl_grib1
       regular_ll_pl_grib2
       sh_ml_grib1
       sh_ml_grib2
       sh_pl_grib1
       sh_pl_grib2

2. To print the standard set of key available for a given type

       > grib_keys -T regular_ll_sfc_grib1
       =================== regular_ll_sfc_grib1
       editionNumber
       ====> SECTION 1 <====
       table2Version
       centre
       generatingProcessIdentifier
       indicatorOfParameter
       marsParam (read only)
       indicatorOfTypeOfLevel
       level
       timeRangeIndicator
       subCentre
       decimalScaleFactor
       dataDate
       dataTime
       stepUnits
       stepRange
       startStep
       endStep
       localDefinitionNumber
       marsClass
       marsType
       marsStream
       experimentVersionNumber
       perturbationNumber
       numberOfForecastsInEnsemble
       name (read only)
       units (read only)
       bitmapPresent
       ====> SECTION 2 <====
       numberOfVerticalCoordinateValues
       Ni
       Nj
       latitudeOfFirstGridPointInDegrees
       longitudeOfFirstGridPointInDegrees
       earthIsOblate
       uvRelativeToGrid
       latitudeOfLastGridPointInDegrees
       longitudeOfLastGridPointInDegrees
       DjInDegrees
       DiInDegrees
       iScansNegatively
       jScansPositively
       jPointsAreConsecutive
       alternativeRowScanning (read only)
       numberOfDataPoints (read only)
       numberOfValues (read only)
       missingValue
       ====> SECTION 4 <====
       binaryScaleFactor (read only)
       referenceValue (read only)
       bitsPerValue
       sphericalHarmonics
       complexPacking
       integerPointValues
       additionalFlagPresent
       typeOfPacking
       values
       numberOfCodedValues (read only)
       maximum (read only)
       minimum (read only)
       average (read only)
       numberOfMissing (read only)
       standardDeviation (read only)
       skewness (read only)
       kurtosis (read only)
       isConstant (read only)
       typeOfGrid
       getNumberOfValues (read only)
       ====> SECTION 5 <====